คู่มือ aWhere
พัฒนาAPIitem-services

ดาวน์โหลดและส่งออก

ดาวน์โหลดไฟล์ ดูเวอร์ชันของไฟล์ และส่งออกแผนภาพของฐานข้อมูล

GET
/api/item/{id}/actions/download

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Path

id*string

The id of the Item.

พารามิเตอร์ใน Header

Range?string

One range of bytes, such as bytes=0-1023.

Body ของคำตอบ

The bytes.

response?fileapplication/octet-stream
รูปแบบbinary
curl -X GET "https://platform.example.com/api/item/$ITEM_ID/actions/download" \  -H "Authorization: Bearer $TOKEN"
"string"
GET
/api/item/{id}/actions/export/datadict

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Path

id*string

The id of the Item.

Body ของคำตอบ

The bytes.

response?fileapplication/octet-stream
รูปแบบbinary
curl -X GET "https://platform.example.com/api/item/$ITEM_ID/actions/export/datadict" \  -H "Authorization: Bearer $TOKEN"
"string"

ส่งออกแผนภาพของฐานข้อมูล

GET
/api/item/{id}/actions/export/diagram

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Path

id*string

The id of the Item.

Body ของคำตอบ

The bytes.

response?fileapplication/octet-stream
รูปแบบbinary
curl -X GET "https://platform.example.com/api/item/$ITEM_ID/actions/export/diagram" \  -H "Authorization: Bearer $TOKEN"
"string"

แสดงเวอร์ชันของไฟล์

GET
/api/item/{id}/actions/getVersion

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Path

id*string

The id of the Item.

พารามิเตอร์ใน Query

limit?integer

How many to return.

ค่าเริ่มต้น10
skip?integer

How many to skip.

ค่าเริ่มต้น0

Body ของคำตอบ

The versions, newest first.

application/json
  1. response
@meta?

The name and version of the service that answered.

data?array<>
curl -X GET "https://platform.example.com/api/item/$ITEM_ID/actions/getVersion" \  -H "Authorization: Bearer $TOKEN"
{  "@meta": {},  "data": [    {}  ]}